{"openapi":"3.1.0","servers":[{"url":"https://api.zydon.com.br/api/sales","description":"Generated server url"}],"paths":{"/warehouses/{id}":{"get":{"tags":["Warehouses"],"summary":"Obter Local","operationId":"getWarehouse","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WarehouseResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WarehouseResponse"}}}},"404":{"description":"Warehouse was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WarehouseResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Warehouses"],"summary":"Atualizar Local","operationId":"updateWarehouse","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWarehouseRequest"}}},"required":true},"responses":{"200":{"description":"Warehouse updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWarehouseResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWarehouseResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWarehouseResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Warehouses"],"summary":"Remover Local","operationId":"removeWarehouse","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown"},"204":{"description":"Warehouse removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveWarehouseResponse"}}}},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/variations/{id}":{"get":{"tags":["Variations"],"summary":"Obter Variação","operationId":"getVariation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Variation was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VariationResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VariationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VariationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Variations"],"summary":"Atualizar Variação","operationId":"updateVariation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateVariationRequest"}}},"required":true},"responses":{"200":{"description":"Variation updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateVariationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateVariationResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateVariationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Variations"],"summary":"Remover Variação","operationId":"removeVariation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Variation removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveVariationResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/stock/{id}/enable":{"put":{"tags":["Stock"],"summary":"Enable a stock inventory","operationId":"enable","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableStockResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableStockResponse"}}}},"404":{"description":"Stock inventory was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableStockResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/stock/{id}/disable":{"put":{"tags":["Stock"],"summary":"Disable a stock inventory","operationId":"disable","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableStockResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableStockResponse"}}}},"404":{"description":"Stock inventory was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableStockResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/stock/override":{"put":{"tags":["Stock"],"summary":"Override existing stock inventory given payload","operationId":"override","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverrideStockRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StockResponse"}}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StockResponse"}}}}},"404":{"description":"Stock was not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StockResponse"}}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/stock/movement":{"put":{"tags":["Stock"],"summary":"Increment or Decrement stock given a movement","operationId":"movement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MovementStockRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockResponse"}}}},"404":{"description":"Stock was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/status/{id}":{"get":{"tags":["Status"],"summary":"Retrieve an existing status given an ID","operationId":"retrieve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"400":{"description":"Cannot retrieve status","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RetrieveStatusResponse"}}}},"200":{"description":"Status retrieved","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RetrieveStatusResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RetrieveStatusResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Status"],"summary":"Update an existing status given an ID","operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStatusRequest"}}},"required":true},"responses":{"400":{"description":"Cannot update status","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateStatusResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateStatusResponse"}}}},"200":{"description":"Status updated","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateStatusResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Status"],"summary":"Remove an existing status given an ID","operationId":"remove","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Status removed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RemoveStatusResponse"}}}},"400":{"description":"Cannot remove status","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RemoveStatusResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RemoveStatusResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/sellers/{id}":{"get":{"tags":["Sellers"],"summary":"Retrieve seller given an ID","operationId":"retrieve_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}},"404":{"description":"Seller was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Sellers"],"summary":"Update an existing seller","operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSellerRequest"}}},"required":true},"responses":{"200":{"description":"Seller updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSellerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSellerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSellerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Sellers"],"summary":"Remove an existing seller","operationId":"remove_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown"},"204":{"description":"Seller removed successfully"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/sellers/{id}/enable":{"put":{"tags":["Sellers"],"summary":"Enable an existing seller","operationId":"enable_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Seller enabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/sellers/{id}/disable":{"put":{"tags":["Sellers"],"summary":"Disable an existing seller","operationId":"disable_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}},"204":{"description":"Seller disabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/sales/{saleId}/call-create-order-webhook":{"put":{"tags":["Sales"],"summary":"Call create order webhook","operationId":"callCreateOrderWebhook","parameters":[{"name":"saleId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Cannot call create order webhook"},"202":{"description":"Accepted"},"500":{"description":"An internal server error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/sales/capture":{"put":{"tags":["Sales"],"summary":"Capture credit card transaction for a sale","operationId":"capturePayment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaptureSalePaymentRequest"}}},"required":true},"responses":{"400":{"description":"Cannot capture transaction"},"204":{"description":"Transaction already captured"},"200":{"description":"Transaction captured"},"404":{"description":"Sale not found"},"500":{"description":"An internal server error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/profiles/{id}":{"get":{"tags":["Profiles"],"summary":"Retrieve a profile given an ID","operationId":"retrieve_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveProfileResponse"}}}},"404":{"description":"Profile was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveProfileResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveProfileResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Profiles"],"summary":"Update a existing profile","operationId":"update_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProfileRequest"}}},"required":true},"responses":{"200":{"description":"Profile updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProfileResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProfileResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProfileResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Profiles"],"summary":"Remove an existing profile","operationId":"remove_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Profile removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProfileResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProfileResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProfileResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{product_id}/variations/{id}":{"get":{"tags":["Product Variations"],"summary":"Obter Variação de Produto","operationId":"getProductVariation","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductVariationResponse"}}}},"404":{"description":"Variation was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductVariationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductVariationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Product Variations"],"summary":"Atualizar Variação de Produto","operationId":"updateProductVariation","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationRequest"}}},"required":true},"responses":{"200":{"description":"Variation updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Product Variations"],"summary":"Remover Variação de Produto","operationId":"removeProductVariation","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Variation removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProductVariationResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{product_id}/variations/{id}/stock":{"put":{"tags":["Product Variations"],"summary":"Update product variation stock given an ID","operationId":"updateProductVariationStock","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationStockRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationStockResponse"}}}},"204":{"description":"Product Variation stock successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationStockResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationStockResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{product_id}/variations/{id}/price":{"put":{"tags":["Product Variations"],"summary":"Update product variation price given an ID","operationId":"updateProductVariationPrice","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationPriceRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationPriceResponse"}}}},"204":{"description":"Product Variation price successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationPriceResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductVariationPriceResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{product_id}/specification/{id}":{"get":{"tags":["Product Specifications"],"summary":"Obter Especificação de Produto","operationId":"getProductSpecification","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductSpecificationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductSpecificationResponse"}}}},"404":{"description":"Specification was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductSpecificationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Product Specifications"],"summary":"Atualizar Especificação de Produto","operationId":"updateProductSpecification","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductSpecificationRequest"}}},"required":true},"responses":{"200":{"description":"Specification updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductSpecificationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductSpecificationResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductSpecificationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Product Specifications"],"summary":"Remover Especificação de Produto","operationId":"removeProductSpecification","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown"},"204":{"description":"Specification removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProductSpecificationResponse"}}}},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{id}":{"get":{"tags":["Products"],"summary":"Retrieve a product given an ID","operationId":"getProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"summary","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}},"404":{"description":"Product was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Products"],"summary":"Update a existing product","operationId":"updateProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductRequest"}}},"required":true},"responses":{"200":{"description":"Product updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Products"],"summary":"Remove an existing product","operationId":"removeProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Product removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProductResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProductResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProductResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{id}/stock":{"put":{"tags":["Products"],"summary":"Update product stock given an ID","operationId":"updateProductStock","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductStockRequest"}}},"required":true},"responses":{"204":{"description":"Product stock successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductStockResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductStockResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductStockResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{id}/price":{"put":{"tags":["Products"],"summary":"Update product price given an ID","operationId":"updateProductPrice","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductPriceRequest"}}},"required":true},"responses":{"204":{"description":"Product price successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductPriceResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductPriceResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductPriceResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{id}/images":{"put":{"tags":["Products"],"summary":"Update a existing product images","operationId":"updateProductImages","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"images":{"type":"array","items":{"type":"string","format":"binary"}}}}}}},"responses":{"200":{"description":"Product iamges updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductResponse"}}}}},"deprecated":true,"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{id}/enable":{"put":{"tags":["Products"],"summary":"Enable a product given an ID","operationId":"enable_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Product activated successfully"},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/{id}/disable":{"put":{"tags":["Products"],"summary":"Disable a product given an ID","operationId":"disable_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Product disabled successfully"},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/images":{"put":{"tags":["Products"],"summary":"Update all product images","operationId":"updateImages","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateProductImagesRequest"}}}},"required":true},"responses":{"200":{"description":"OK"},"404":{"description":"Product was not found"},"500":{"description":"An internal server error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/products/alternative-units/{id}":{"get":{"tags":["Alternative Units"],"summary":"Obter Unidade Alternativa","operationId":"getAlternativeUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Alternative Unit was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlternativeUnitResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlternativeUnitResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlternativeUnitResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Alternative Units"],"summary":"Atualizar Unidade Alternativa","operationId":"updateAlternativeUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAlternativeUnitRequest"}}},"required":true},"responses":{"200":{"description":"Alternative Unit updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAlternativeUnitResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAlternativeUnitResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAlternativeUnitResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Alternative Units"],"summary":"Remover Unidade Alternativa","operationId":"removeAlternativeUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Alternative Unit removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveAlternativeUnitResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/price-tables/{id}":{"get":{"tags":["Price Tables"],"summary":"Retrieve a price table given an ID","operationId":"retrieve_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePriceTableResponse"}}}},"404":{"description":"PriceTable was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePriceTableResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePriceTableResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Price Tables"],"summary":"Update an existing price table","operationId":"update_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePriceTableRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePriceTableResponse"}}}},"404":{"description":"PriceTable was not updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePriceTableResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePriceTableResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Price Tables"],"summary":"Remove an existing price table","operationId":"remove_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"PriceTable was not removed"},"500":{"description":"An internal server error was thrown"},"204":{"description":"OK"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/payment-methods/{id}":{"get":{"tags":["Payment Methods"],"summary":"Get payment method","operationId":"getPaymentMethod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentMethodResponse"}}}},"404":{"description":"PaymentMethod was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentMethodResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Payment Methods"],"summary":"Update payment method","operationId":"updatePaymentMethod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentMethodRequest"}}},"required":true},"responses":{"200":{"description":"PaymentMethod updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentMethodResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentMethodResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Payment Methods"],"summary":"Delete payment method","operationId":"removePaymentMethod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePaymentMethodResponse"}}}},"204":{"description":"PaymentMethod removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePaymentMethodResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePaymentMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/payment-methods/{id}/enable":{"put":{"tags":["Payment Methods"],"summary":"Enable payment method","operationId":"enablePaymentMethod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"This payment method is already active.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePaymentMethodResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePaymentMethodResponse"}}}},"200":{"description":"Payment method enabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePaymentMethodResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePaymentMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/payment-methods/{id}/disable":{"put":{"tags":["Payment Methods"],"summary":"Disable payment method","operationId":"disablePaymentMethod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"This payment method is already inactive.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePaymentMethodResponse"}}}},"200":{"description":"Payment method disabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePaymentMethodResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePaymentMethodResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePaymentMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/payment-links/{id}/status":{"put":{"tags":["Payment Links"],"summary":"Update payment link","operationId":"updatePaymentLink","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentLinksRequest"}}},"required":true},"responses":{"200":{"description":"PaymentLinks updated successfully","content":{"application/json":{"schema":{"type":"object"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"type":"object"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"type":"object"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/payment-groups/{id}":{"get":{"tags":["Payment Groups"],"summary":"Get payment Group","operationId":"getPaymentGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentGroupResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentGroupResponse"}}}},"404":{"description":"PaymentGroup was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentGroupResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Payment Groups"],"summary":"Update payment group","operationId":"updatePaymentGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentGroupRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentGroupResponse"}}}},"200":{"description":"PaymentGroup updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentGroupResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentGroupResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Payment Groups"],"summary":"Delete payment group","operationId":"removePaymentGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePaymentGroupResponse"}}}},"204":{"description":"PaymentGroup removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePaymentGroupResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePaymentGroupResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/partners/{partner_id}/sellers/{id}":{"get":{"tags":["Partner Sellers"],"summary":"Get Partner Seller","operationId":"getPartnerSeller","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerSellerResponse"}}}},"404":{"description":"Partner Seller was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerSellerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerSellerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Partner Sellers"],"summary":"Update an existing partner seller","operationId":"updatePartnerSeller","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerSellerRequest"}}},"required":true},"responses":{"200":{"description":"Partner Seller updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerSellerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerSellerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerSellerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Partner Sellers"],"summary":"Remove an existing Partner Seller","operationId":"removePartnerSeller","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Partner Seller removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePartnerSellerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePartnerSellerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePartnerSellerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/partners/{partner_id}/contact/{id}":{"get":{"tags":["Partner Contact"],"summary":"Retrieve a Partner Contact given an ID","operationId":"retrieve_4","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactResponse"}}}},"404":{"description":"Partner Contact was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Partner Contact"],"summary":"Update an existing partner contact","operationId":"update_4","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerContactRequest"}}},"required":true},"responses":{"200":{"description":"Partner Contact updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerContactResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Partner Contact"],"summary":"Remove a Partner Contact given an ID","operationId":"remove_4","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Partner Contact removed successfully"},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/partners/{partner_id}/address":{"get":{"tags":["Partner Address"],"summary":"List all addresses given an partner ID","operationId":"list","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"perPage","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"mainAddress"}},{"name":"dir","in":"query","required":false,"schema":{"type":"string","default":"desc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationPartnerAddressResponse"}}}},"404":{"description":"PartnerAddress was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationPartnerAddressResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationPartnerAddressResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Partner Address"],"summary":"Update an existing partner address","operationId":"update_5","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerAddressRequest"}}},"required":true},"responses":{"200":{"description":"PartnerAddress updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerAddressResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerAddressResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerAddressResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"post":{"tags":["Partner Address"],"summary":"Create a new partner address","operationId":"create","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePartnerAddressRequest"}}},"required":true},"responses":{"201":{"description":"PartnerAddress created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerAddressResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerAddressResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerAddressResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/partners/{id}":{"get":{"tags":["Partners"],"summary":"Get partner","operationId":"getPartner","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"summary","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerResponse"}}}},"404":{"description":"Partner was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Partners"],"summary":"Update partner","operationId":"updatePartner","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerResponse"}}}},"200":{"description":"Partner updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Partners"],"summary":"Remove Partner","operationId":"removePartner","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePartnerResponse"}}}},"204":{"description":"Partner removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePartnerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePartnerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/partners/{id}/enable":{"put":{"tags":["Partners"],"summary":"Enable partner","operationId":"enablePartner","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"This payment method is already active.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePartnerResponse"}}}},"200":{"description":"Partner enabled successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePartnerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePartnerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnablePartnerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/partners/{id}/disable":{"put":{"tags":["Partners"],"summary":"Disable partner","operationId":"disablePartner","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"This payment method is already inactive.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePartnerResponse"}}}},"200":{"description":"Partner disabled successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePartnerResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePartnerResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisablePartnerResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/orders/{order}/items/{id}":{"get":{"tags":["Order Items"],"summary":"Obter Item do Pedido","operationId":"getItem","parameters":[{"name":"order","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Item was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Order Items"],"summary":"Atualizar Item do Pedido","operationId":"updateItem","parameters":[{"name":"order","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateItemRequest"}}},"required":true},"responses":{"200":{"description":"Item updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateItemResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateItemResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateItemResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Order Items"],"summary":"Remover Item do Pedido","operationId":"removeItem","parameters":[{"name":"order","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Item removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveItemResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/orders/{order_id}/payments/{id}":{"get":{"tags":["Order Payments"],"summary":"Obter Pagamento do Pedido","operationId":"getPayment","parameters":[{"name":"order_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Payment was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Order Payments"],"summary":"Atualizar Pagamento do Pedido","operationId":"updatePayment","parameters":[{"name":"order_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentResponse"}}}},"200":{"description":"Payment updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaymentResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Order Payments"],"summary":"Remover Pagamento do Pedido","operationId":"removePayment","parameters":[{"name":"order_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Payment removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemovePaymentResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/orders/{id}":{"get":{"tags":["Orders"],"summary":"Obter Pedido","operationId":"getOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Order was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Orders"],"summary":"Atualizar Pedido","operationId":"updateOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrderRequest"}}},"required":true},"responses":{"200":{"description":"Order updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrderResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Orders"],"summary":"Remover Pedido","operationId":"removeOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown"},"204":{"description":"Order removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveOrderResponse"}}}},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/orders/report/jrxml":{"put":{"tags":["Orders"],"summary":"Configurar relatorio personalizado para imprimir pedido","operationId":"configureCustomOrderReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigureCustomOrderReportRequest"}}},"required":true},"responses":{"204":{"description":"Custom order report configurated successfully"},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Orders"],"summary":"Remover relatorio personalizado para imprimir pedido","operationId":"removeCustomOrderReport","responses":{"500":{"description":"An internal server error was thrown"},"204":{"description":"Custom order report removed successfully"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/measure-units/{id}":{"get":{"tags":["Measure Units"],"summary":"Get measure unit","operationId":"getMeasureUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasureUnitResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasureUnitResponse"}}}},"404":{"description":"MeasureUnit was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasureUnitResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Measure Units"],"summary":"Update measure unit","operationId":"updateMeasureUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMeasureUnitRequest"}}},"required":true},"responses":{"200":{"description":"MeasureUnit updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMeasureUnitResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMeasureUnitResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMeasureUnitResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Measure Units"],"summary":"Remove measure unit","operationId":"removeMeasureUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"MeasureUnit removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveMeasureUnitResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveMeasureUnitResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveMeasureUnitResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/measure-units/{id}/enable":{"put":{"tags":["Measure Units"],"summary":"Activate Measure Unit","operationId":"enableMeasureUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableMeasureUnitResponse"}}}},"200":{"description":"Measure unit enabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableMeasureUnitResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableMeasureUnitResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/measure-units/{id}/disable":{"put":{"tags":["Measure Units"],"summary":"Disable Measure Unit","operationId":"disableMeasureUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Measure unit disabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableMeasureUnitResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableMeasureUnitResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableMeasureUnitResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/financials/{id}":{"get":{"tags":["Financials"],"summary":"Obter Financeiro","operationId":"getFinancial","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FinancialResponse"}}}},"404":{"description":"Financial was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FinancialResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FinancialResponse"}}}}},"security":[{"auth":[]}]},"put":{"tags":["Financials"],"summary":"Atualizar Financeiro","operationId":"updateFinancial","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFinancialRequest"}}},"required":true},"responses":{"200":{"description":"Financial updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFinancialResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFinancialResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFinancialResponse"}}}}},"security":[{"auth":[]}]},"delete":{"tags":["Financials"],"summary":"Remover Financeiro","operationId":"removeFinancial","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Financial removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveFinancialResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]}]}},"/entity-attributes/{id}":{"put":{"tags":["Entity Attributes"],"summary":"Atualizar atributo de entidade","operationId":"update_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEntityAttributeRequest"}}},"required":true},"responses":{"200":{"description":"Atributo atualizado com sucesso"},"500":{"description":"Erro interno do servidor"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Entity Attributes"],"summary":"Remover atributo de entidade","operationId":"remove_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"Erro interno do servidor"},"204":{"description":"Atributo removido com sucesso"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/discounts/{id}":{"get":{"tags":["Discounts"],"summary":"Retrieve an existing discount","operationId":"retrieve_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Discount was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveDiscountResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveDiscountResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveDiscountResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Discounts"],"summary":"Update an existing discount","operationId":"update_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDiscountRequest"}}},"required":true},"responses":{"404":{"description":"Discount was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDiscountResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDiscountResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDiscountResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDiscountResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Discounts"],"summary":"Remove an existing discount","operationId":"remove_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"PriceTable was not removed"},"500":{"description":"An internal server error was thrown"},"204":{"description":"OK"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/delivery-methods/{id}":{"get":{"tags":["DeliveryMethods"],"summary":"Get delivery method","operationId":"getById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodResponse"}}}},"404":{"description":"Delivery method was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["DeliveryMethods"],"summary":"Update an existing delivery method","operationId":"update_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDeliveryMethodRequest"}}},"required":true},"responses":{"200":{"description":"Delivery method updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["DeliveryMethods"],"summary":"Remove an existing delivery method","operationId":"remove_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Delivery method removed successfully"},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/delivery-methods/{id}/opening-hours":{"get":{"tags":["DeliveryMethods"],"summary":"Retrieve list of delivery methods opening hours","operationId":"listOpeningHours","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodOpeningHourListResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodOpeningHourListResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["DeliveryMethods"],"summary":"Update an delivery methods opening hours","operationId":"updateOpeningHours","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDeliveryMethodOpeningHourListRequest"}}},"required":true},"responses":{"200":{"description":"Delivery methods opening hours updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodOpeningHourListResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodOpeningHourListResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryMethodOpeningHourListResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/delivery-methods/{id}/active":{"put":{"tags":["DeliveryMethods"],"summary":"Enable/Disable an existing category","operationId":"active","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActiveDeliveryMethodRequest"}}},"required":true},"responses":{"200":{"description":"Delivery method status changed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDeliveryMethodResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDeliveryMethodResponse"}}}},"404":{"description":"Delivery method was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDeliveryMethodResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDeliveryMethodResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/database-records":{"put":{"tags":["Database Records"],"summary":"Salvar registros de database","operationId":"save","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveDatabaseRecordsRequest"}}},"required":true},"responses":{"200":{"description":"OK"},"500":{"description":"An internal server error was thrown"}},"security":[{"auth":[]}]},"delete":{"tags":["Database Records"],"summary":"Deletar registros de database","operationId":"delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteDatabaseRecordsRequest"}}},"required":true},"responses":{"204":{"description":"No Content"},"500":{"description":"An internal server error was thrown"}},"security":[{"auth":[]}]}},"/criteria/{id}":{"get":{"tags":["Criteria"],"summary":"Retrieve an criteria by ID","operationId":"retrieve_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"422":{"description":"A query param was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveCriteriaResponse"}}}},"200":{"description":"Criteria retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveCriteriaResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveCriteriaResponse"}}}}},"security":[{"auth":[]}]},"put":{"tags":["Criteria"],"summary":"Update an existing criteria","operationId":"update_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCriteriaRequest"}}},"required":true},"responses":{"422":{"description":"A query param was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCriteriaResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCriteriaResponse"}}}},"200":{"description":"Criteria updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCriteriaResponse"}}}}},"security":[{"auth":[]}]},"delete":{"tags":["Criteria"],"summary":"Remove an existing criteria","operationId":"remove_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"422":{"description":"A query param was invalid"},"500":{"description":"An internal server error was thrown"},"200":{"description":"Criteria updated"}},"security":[{"auth":[]}]}},"/credit-limit-config":{"get":{"tags":["Credit Limit Config"],"summary":"Get credit limit config","operationId":"getCreditLimitConfig","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditLimitConfigResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditLimitConfigResponse"}}}},"404":{"description":"Credit limit config was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditLimitConfigResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Credit Limit Config"],"summary":"Update credit limit config","operationId":"updateCreditLimitConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCreditLimitConfigRequest"}}},"required":true},"responses":{"200":{"description":"Credit limit config updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditLimitConfigResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditLimitConfigResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditLimitConfigResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/coupons/{id}":{"get":{"tags":["Coupons"],"summary":"Obter Cupom","operationId":"getCoupon","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponResponse"}}}},"404":{"description":"Coupon was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Coupons"],"summary":"Atualizar Cupom","operationId":"updateCoupon","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCouponRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCouponResponse"}}}},"201":{"description":"Coupon updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCouponResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCouponResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Coupons"],"summary":"Remover Cupom","operationId":"removeCoupon","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Cupom removed successfully"},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/companies/{id}":{"get":{"tags":["Companies"],"summary":"Obter Empresa","operationId":"getCompany","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Company was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Companies"],"summary":"Atualizar Empresa","operationId":"updateCompany","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompanyRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompanyResponse"}}}},"200":{"description":"Company updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompanyResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompanyResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Companies"],"summary":"Remover Empresa","operationId":"removeCompany","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Company removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveCompanyResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveCompanyResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveCompanyResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/category-config":{"get":{"tags":["Category config"],"summary":"Get category config","operationId":"getCategoryConfig","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryConfigResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryConfigResponse"}}}},"404":{"description":"Category config was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryConfigResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Category config"],"summary":"Update an existing category","operationId":"updateCategoryConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCategoryConfigRequest"}}},"required":true},"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryConfigResponse"}}}},"200":{"description":"Category config updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryConfigResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryConfigResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/categories/{id}":{"get":{"tags":["Categories"],"summary":"Get category","operationId":"getCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryResponse"}}}},"404":{"description":"Category was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Categories"],"summary":"Update an existing category","operationId":"updateCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCategoryRequest"}}},"required":true},"responses":{"200":{"description":"Category updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCategoryResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCategoryResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCategoryResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Categories"],"summary":"Remove an existing category","operationId":"removeCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Category removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveCategoryResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveCategoryResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveCategoryResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/categories/{id}/order":{"put":{"tags":["Categories"],"summary":"Update an existing category order","operationId":"updateCategoryOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCategoryOrderRequest"}}},"required":true},"responses":{"200":{"description":"Category order updated successfully"},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/categories/{id}/enable":{"put":{"tags":["Categories"],"summary":"Enable an existing category","operationId":"enableCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Category enabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableCategoryResponse"}}}},"400":{"description":"This category is already active.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableCategoryResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableCategoryResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableCategoryResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/categories/{id}/disable":{"put":{"tags":["Categories"],"summary":"Disable an existing category","operationId":"disableCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Category disabled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableCategoryResponse"}}}},"400":{"description":"This category is already inactive.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableCategoryResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableCategoryResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableCategoryResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/categories/{category}/specification/{id}":{"get":{"tags":["Category Specifications"],"summary":"Obter Especificação","operationId":"getSpecification","parameters":[{"name":"category","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecificationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecificationResponse"}}}},"404":{"description":"Specification was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecificationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Category Specifications"],"summary":"Atualizar Especificação","operationId":"updateSpecification","parameters":[{"name":"category","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSpecificationRequest"}}},"required":true},"responses":{"200":{"description":"Specification updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSpecificationResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSpecificationResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSpecificationResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Category Specifications"],"summary":"Remover Especificação","operationId":"removeSpecification","parameters":[{"name":"category","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Specification removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveSpecificationResponse"}}}},"500":{"description":"An internal server error was thrown"},"422":{"description":"A validation error was thrown"}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/brands/{id}":{"get":{"tags":["Brands"],"summary":"Get brand","operationId":"getBrand","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandResponse"}}}},"404":{"description":"Brand was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"put":{"tags":["Brands"],"summary":"Update brand","operationId":"updateBrand","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBrandRequest"}}},"required":true},"responses":{"200":{"description":"Brand updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBrandResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBrandResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBrandResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"delete":{"tags":["Brands"],"summary":"Remove brand","operationId":"removeBrand","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Brand removed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveBrandResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveBrandResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveBrandResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/brands/{id}/enable":{"put":{"tags":["Brands"],"summary":"Enable brand","operationId":"enableBrand","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Brand enabled successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableBrandResponse"}}}},"400":{"description":"This brand is already active.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableBrandResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableBrandResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnableBrandResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/brands/{id}/disable":{"put":{"tags":["Brands"],"summary":"Disable brand","operationId":"disableBrand","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableBrandResponse"}}}},"200":{"description":"Brand disabled successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableBrandResponse"}}}},"400":{"description":"This brand is already inactive.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableBrandResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisableBrandResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/warehouses":{"get":{"tags":["Warehouses"],"summary":"Listar Locais","operationId":"listWarehouses","parameters":[{"name":"search","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"perPage","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"dir","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListWarehouseResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationListWarehouseResponse"}}}},"404":{"description":"Warehouse was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationListWarehouseResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]},"post":{"tags":["Warehouses"],"summary":"Criar Local","operationId":"createWarehouse","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWarehouseRequest"}}},"required":true},"responses":{"201":{"description":"Warehouse created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWarehouseResponse"}}}},"500":{"description":"An internal server error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWarehouseResponse"}}}},"422":{"description":"A validation error was thrown","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWarehouseResponse"}}}}},"security":[{"auth":[]},{"X-Zydon-Access-Key-Token":[]},{"X-Zydon-Access-Key-Code":[]}]}},"/variations":{"get":{"tags":["Variations"],"summary":"Listar Variações","operationId":"listVariations","parameters":[{"name":"search","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"perPage","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"dir","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListVariationResponse"}}}},"404":{"description":"Variation was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationLis
[...]
